## org.eclipse.amp.amf.parameters.generator
Class AParGenerator

    java.lang.Object
      org.eclipse.amp.amf.parameters.generator.AParGenerator

All Implemented Interfaces:
  org.eclipse.xtext.generator.IGenerator

    public class AParGenerator

extends java.lang.Object
implements org.eclipse.xtext.generator.IGenerator

Constructor Summary
`AParGenerator()`

Method Summary
`void` `doGenerate(org.eclipse.emf.ecore.resource.Resource resource, org.eclipse.xtext.generator.IFileSystemAccess fsa)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AParGenerator

    public AParGenerator()

Method Detail

### doGenerate

    public void doGenerate(org.eclipse.emf.ecore.resource.Resource resource,
                           org.eclipse.xtext.generator.IFileSystemAccess fsa)

  Specified by:
    `doGenerate` in interface `org.eclipse.xtext.generator.IGenerator`